<p class="title">
	Assessment Maintenance > Add a new Requirement > <i>Add</i>
</p>
  <form role="form" novalidate>
	<div class="card">
		<div class="card-header title"
			jhiTranslate="pcidssApp.pcidssRequirement.create.createLabel">Add
			a new Requirement</div>
		<div class="card-block">
			<div [formGroup]="newPcidssRequirement">
			<div class="row">
				<label class="col-sm-3 form-control-label heading">Requirement
					Category : </label> 
					<select class="col-sm-4 custom-select" name="reqCategory"
					formControlName="requirementCategoryId" (change)="onSelectCategory()">
					<option value="null">--Select Requirement Category--</option>
					<option *ngFor="let requirementCategory of requirementCategories"
						[ngValue]="requirementCategory">{{
						requirementCategory.categoryName}}</option>
				</select>
			</div>
			<div class="row col-sm-6 mt-4 heading" *ngIf="newPcidssRequirement.value.requirementCategoryId !== null">
				<label class="form-control-label"
					jhiTranslate="pcidssApp.pcidssRequirement.create.info">Provide
					requirement number and requirement description</label>
			</div>
						<div formArrayName="newReqs" *ngIf="newPcidssRequirement.value.requirementCategoryId !== null">
			<div class="form-group mt-2"
				*ngFor="let itemrow of newPcidssRequirement.controls.newReqs.controls; let i=index"
						[formGroupName]="i">
				<div class="card">
					<div class="card-block">
						<i class="fa fa-times-circle fa-lg float-right text-danger"
							(click)="deleteReqCategoryRow(i)" aria-hidden="true"></i>
							</br>
						<div class="form-group row">
							<label class="col-sm-2 form-control-label heading"
								jhiTranslate="pcidssApp.pcidssRequirement.requirementNumber"
								for="field_requirement">Requirement#</label>
							<div class="col-sm-3">
								<input type="text" class="form-control" name="requirement"
									formControlName="requirementNumber" />
									<div
											*ngIf="itemrow.controls.requirementNumber.errors && (itemrow.controls.requirementNumber.dirty || itemrow.controls.requirementNumber.touched)"
											class="alert alertError">
											<div
												[hidden]="!itemrow.controls.requirementNumber.errors.required">
												This field is required.</div>
											<div
												[hidden]="!itemrow.controls.requirementNumber.errors.minlength">Requirement
												number must be at least 1 characters long.</div>
											<div
												[hidden]="!itemrow.controls.requirementNumber.errors.maxlength">Requirement
												number cannot be more than 2 characters long.</div>
											<div
												[hidden]="!itemrow.controls.requirementNumber.errors.pattern">Invalid
												character</div>
										</div>
							</div>
						</div>
						<div class="form-group row">
							<label class="col-sm-2 form-control-label heading"
								jhiTranslate="pcidssApp.pcidssRequirement.requirementDescription"
								for="field_requirementCategoryId">Description</label>
							<div class="col-sm-10">
								 <textarea class="form-control" name="requirementDescription"
									formControlName="requirement" row="3">
               					 </textarea>
               					 <div
											*ngIf="itemrow.controls.requirement.errors && (itemrow.controls.requirement.dirty || itemrow.controls.requirement.touched)"
											class="alert alertError">
											<div [hidden]="!itemrow.controls.requirement.errors.required">
												This field is required.</div>
											<div
												[hidden]="!itemrow.controls.requirement.errors.minlength">Requirement must be at least 5 characters long.</div>
											<div
												[hidden]="!itemrow.controls.requirement.errors.maxlength">Requirement 
												cannot be more than 255 characters long.</div>
											<div [hidden]="!itemrow.controls.requirement.errors.pattern">Invalid
												character</div>
										</div>
							</div>
						</div>
						</div>
						</div>
						
					</div>
				</div>
			</div>
			<hr *ngIf="newPcidssRequirement.value.requirementCategoryId !== null">
			<button class="btn text-only-btn float-left"
				(click)="addNewReqCategoryRow()" *ngIf="newPcidssRequirement.value.requirementCategoryId !== null">
				<span class="fa fa-plus fa-lg"></span>&nbsp;Add a requirement
			</button>
			</br> </br> </br>
			<div class="row-md action-div">
				<button type="submit" (click)="previousState()"
					class="btn btn-default action-btn-with-text">
					<span class="fa fa-times fa-lg"></span>&nbsp;<span> Cancel</span>
				</button>
				<button type="submit" [disabled]= "!newPcidssRequirement.valid"
					class="btn action-btn-with-text edit" (click)="save()">
					<span class="fa fa-save"></span>&nbsp;<span>Save</span>
				</button>
			</div>
		</div>
	</div>

</form>